%define major	0
%define libname	%mklibname %{name} %{major}
%define libnamedev %mklibname -d %{name}
%define baddevname %mklibname -d %{name} 0
%define build_flac 1

Name:		alsaplayer
Summary:	Advanced Linux Sound Architecture (ALSA) player
Version:	0.99.81
Release:	%mkrel 3
Source:		http://www.alsaplayer.org/%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
URL:		http://www.alsaplayer.org/
License:	GPLv3+
Group:		Sound/Players
BuildRequires:	libalsa-devel
BuildRequires:	gtk2-devel
BuildRequires:	libmesagl-devel
BuildRequires:	libmikmod-devel 
BuildRequires:	libvorbis-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libmad-devel 
BuildRequires:	libjack-devel >= 0.70.4
BuildRequires:	libsndfile-devel
#BuildRequires:	 libxosd-devel
Requires:	%{name}-plugin-ui-gtk
ExcludeArch:	sparc sparc64
Provides:	%{name}-plugin-read-curl = %{version}-%{release}
Obsoletes:	%{name}-plugin-read-curl < %{version}-%{release}

%description
Advanced Linux Sound Architecture (ALSA) utils. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

%package -n %libname
Summary:	AlsaPlayer sharedlibrary
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	lib%{name} < %{version}-%{release}

%description -n %libname
This is the shared librairy of AlsaPlayer.

%package -n %libnamedev
Summary:	AlsaPlayer devel stuff 
Group:		Development/C
Requires:	%libname = %version
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{baddevname} < %{version}-%{release}

%description -n %libnamedev
This is the development part of the AlsaPlayer librairy. 

%if %build_flac
%package plugin-input-flac
Summary:	AlsaPlayer plugin for playing FLAC audio files
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}
BuildRequires:	liboggflac-devel

%description plugin-input-flac
This plugin enables AlsaPlayer to play files in the lossless audio 
compression format FLAC.
%endif

%package plugin-input-mod
Summary:	AlsaPlayer plugin for playing MOD modules
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package plugin-input-mad
Summary:	AlsaPlayer plugin
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package plugin-input-sndfile
Summary:	AlsaPlayer plugin
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package plugin-input-vorbis
Summary:	AlsaPlayer plugin
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package plugin-output-jack
Summary:	AlsaPlayer for the jack sound server
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package plugin-ui-gtk
Summary:	AlsaPlayer plugin
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package plugin-scopes
Summary:	AlsaPlayer graphical scopes
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}
Requires:	%{name}-plugin-ui-gtk => %{version}-%{release}

%description plugin-input-mod
This plugin enables alsaplayer to play module music files.
Supported file formats include MOD, STM, S3M, MTM, XM, ULT, and IT.

%description plugin-input-mad
This plugin enables alsaplayer to play mpeg files though the libmad library.
It currently supports MPEG-1 and the MPEG-2  extension to Lower Sampling
Frequencies, as well as the so-called MPEG 2.5 format. All three audio layers
(Layer I, Layer II, and Layer III a.k.a. MP3) are fully implemented.

%description plugin-input-sndfile
This plugin enables alsaplayer to play sound files such as AIFF, AU
and WAV files through the sndfile library. It can currently read 8,
16, 24 and 32-bit PCM files as well as 32-bit floating point WAV files
and a number of compressed formats.

%description plugin-input-vorbis
This plugin enables alsaplayer to play ogg vorbis music files.

%description plugin-output-jack
This plugin enables alsaplayer to play music with the jack daemon.

%description plugin-ui-gtk
This plugin adds a nice graphical interface to alsaplayer.

%description plugin-scopes
This plugin adds some nice graphical visualization plugins (scopes).

%prep
%setup -q -n %{name}-%{version}

%build
%define _disable_ld_no_undefined 1
%configure2_5x --enable-alsa --enable-esd --disable-debug --enable-oggvorbis --enable-prefer-mad --disable-gtk --enable-gtk2
%make

%install
rm -rf %buildroot %name.lang
%makeinstall_std
#clean unpackaged files:
rm -rf %buildroot%_datadir/doc/%{name}
rm -rf %buildroot%_libdir/%name/*/*.la

tar xfj %SOURCE1 -C %buildroot/%_datadir
# fix permissions:
chmod 755 docs/reference/html

%find_lang %name

# TV: update me aka on each new upstream release, check for new plugins
%files -f %name.lang
%doc docs/*.txt
%doc COPYING
%_datadir/applications/*.desktop
%_bindir/*
%dir %_libdir/%name
%dir %_libdir/%name/*/
%_libdir/%name/input/libcdda.so
%_libdir/%name/input/libwav.so
%_libdir/%name/output/libalsa_out.so
%_libdir/%name/output/libnull_out.so
%_libdir/%name/output/liboss_out.so
%_libdir/%name/interface/libdaemon_interface.so
%_libdir/%name/interface/libtext_interface.so
#%%_libdir/%%name/interface/libxosd_interface.so
%_libdir/%name/reader/libfile.so
%_libdir/%name/reader/libhttp.so
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_mandir/man1/%name.*

%files -n %libname
%doc COPYING
%_libdir/lib%{name}.so.0.0.2
%_libdir/lib%{name}.so.0

%files -n %libnamedev
%doc COPYING
%doc docs/reference/html/
%_includedir/%{name}/
%attr(644,root,root) %_libdir/lib%{name}.la
%_libdir/lib%{name}.so
%_libdir/pkgconfig/%{name}.pc

%if %build_flac
%files plugin-input-flac
%doc COPYING
%_libdir/%name/input/libflac_in.so
%endif

%files plugin-input-mod
%doc COPYING
%_libdir/%name/input/libmod.so

%files plugin-input-mad
%doc COPYING
%_libdir/%name/input/libmad_in.so

%files plugin-input-sndfile
%doc COPYING
%_libdir/%name/input/libsndfile_in.so

%files plugin-input-vorbis
%doc COPYING
%_libdir/%name/input/libvorbis_in.so

%files plugin-output-jack
%doc COPYING
%_libdir/%name/output/libjack_out.so

%files plugin-ui-gtk
%doc COPYING
%_libdir/%name/interface/libgtk2_interface.so

%files plugin-scopes
%doc COPYING
%_libdir/%name/scopes2


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.99.81-3.mga3
+ Revision: 345521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 barjac <barjac> 0.99.81-2.mga3
+ Revision: 320350
- Change group(s) in line with new policy
- clean spec
- fix explicit unversioned provides/obsoletes

* Sat Feb 05 2011 ahmad <ahmad> 0.99.81-2.mga1
+ Revision: 47401
- drop esound support (esound is getting phased out of the distro)
- drop nas support (does anyone still use it?)
- disable BR xosd-devel for now at least
- drop old/unneeded scriptlets
- imported package alsaplayer

